org.apache.ignite.compute.gridify.aop.spring

## Enum GridifySpringPointcut.GridifySpringPointcutType

- java.lang.Object
- - java.lang.Enum<GridifySpringPointcut.GridifySpringPointcutType>
  - - org.apache.ignite.compute.gridify.aop.spring.GridifySpringPointcut.GridifySpringPointcutType

- All Implemented Interfaces:
    Serializable, Comparable<GridifySpringPointcut.GridifySpringPointcutType>
  Enclosing class:
    GridifySpringPointcut

      public static enum GridifySpringPointcut.GridifySpringPointcutType
      extends Enum<GridifySpringPointcut.GridifySpringPointcutType>

  Pointcut type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DFLT`
    `SET_TO_SET`
    `SET_TO_VALUE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GridifySpringPointcut.GridifySpringPointcutType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GridifySpringPointcut.GridifySpringPointcutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DFLT

          public static final GridifySpringPointcut.GridifySpringPointcutType DFLT

    - #### SET_TO_VALUE

          public static final GridifySpringPointcut.GridifySpringPointcutType SET_TO_VALUE

    - #### SET_TO_SET

          public static final GridifySpringPointcut.GridifySpringPointcutType SET_TO_SET

  - ### Method Detail

    - #### values

          public static GridifySpringPointcut.GridifySpringPointcutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GridifySpringPointcut.GridifySpringPointcutType c : GridifySpringPointcut.GridifySpringPointcutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GridifySpringPointcut.GridifySpringPointcutType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021